<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
DbChannel Members
DbChannel Class Methods Properties See Also Send Feedback

The DbChannel type exposes the following members.

# Methods

| Name | Description
--- | --- | ---
| Close | Close the channel.
| Dispose | Release the resources held by this object, and close the channel if it's still open.
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the type of the current instance. (Inherited from Object.)

SendMessage

Send a message on the message channel. The message is sent asynchronously. The method does not wait for a response before returning. It usually completes quickly because it only waits for local TCP implementation to accept the bytes into its network data buffer. However, this message could block briefly for longer messages, and/or if the network data buffer is nearly full. It could even block indefinitely if the remote site is slow to read.

| SendRequest | Overloaded.
| ToString | Returns a string that represents the current object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| Timeout | Set the default timeout value. It is used by SendRequest(array<DatabaseEntry>[]()[], UInt32).

# See Also

DbChannel Class
BerkeleyDB Namespace